#54 libtorrent 2.0
Opened 11 months ago by lkocman. Modified 11 months ago

We require boost newer than 1.66 in backports otherwise we won't be able to update libtorrent-rasterbar beyond 1.x

Just to note that boost is inherited from SLE-15-SP4 which should not be that problematic to update (compared to older update streams).


Metadata Update from @lkocman:
- Custom field SUSE Jira adjusted to https://jira.suse.com/browse/OPENSUSE-57

11 months ago

If somebody would like to do the submission I advice to use jsc#SLE-23412 as the reference in the SR text. Otherwise I'd have to decline it.

PM would generally like to update boost, seems like there were some problems in the past. I'll talk to maintainer directly.

Duplicate of SLE-8506 (internal) boost 1.75 parallel feature was already released in SP4 https://build.opensuse.org/package/show/openSUSE:Leap:15.4/boost.175

Maintainer recommended in one of features to stay with default 1.66 for as long as we can support it due to abi incompatibility with newer versions.

Keeping open until we merge in libtorrent 2.X

Login to comment on this ticket.

Metadata